PETSc version 3.17.4
Fix/Edit manual page

# KSPMonitorError

Prints the error norm, as well as the preconditioned residual norm, at each iteration of an iterative solver.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPMonitorError(KSP ksp, PetscInt n, PetscReal rnorm, PetscViewerAndFormat *vf)

Collective on ksp

### Input Parameters

| ksp | - iterative context
| n | - iteration number
| rnorm | - 2-norm (preconditioned) residual value (may be estimated).
| vf | - The viewer context

### Options Database Key

| -ksp_monitor_error | - Activates KSPMonitorError()

### See Also

KSPMonitorSet(), KSPMonitorResidual(),KSPMonitorTrueResidualMaxNorm()

### Level

intermediate

### Location

src/ksp/ksp/interface/iterativ.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages